6.0.0-git
2019-04-25

[#12356] second IMP search doesn't work
Summary second IMP search doesn't work
Queue IMP
Queue Version Git master
Type Bug
State Not A Bug
Priority 1. Low
Owners
Requester l.kiraly (at) madalbal (dot) hu
Created 2013-06-14 (2141 days ago)
Due
Updated 2013-12-07 (1965 days ago)
Assigned
Resolved 2013-06-20 (2135 days ago)
Milestone
Patch No

History
2013-12-07 05:14:40 Michael Slusarz Comment #20 Reply to this comment
Sounds like this:

http://bugs.horde.org/ticket/12795#c8

So this is not a Horde bug.
2013-10-25 15:45:12 kerns (at) cinci (dot) rr (dot) com Comment #19 Reply to this comment
I am seeing the same thing with Ubuntu 13.10.  Second search broken.

In my failed attempt to update from 13.10 php 5.5.3 to 5.5.4 I noticed 
only a few packages managed to update from the ondrej/php5 repository. 
   This fixed the problem.

I think I narrowed it down to php5-json being the issue.  Debian / 
ubuntu pulled it for some license problem.  Seems the php5-json that 
gets installed is the problem.

Repeated the above only this time only installing the php5.json still working.

Also tried just fresh install adding  the ondrej to apt/sources.list 
but ended up with php 5.5.5.  Seems to work so far however.

Not sure what else to try here my knowledge is somewhat limited.

But then again I may be way off track here.
2013-10-21 06:11:26 harvey (dot) braun (at) allianceqld (dot) com (dot) au Comment #18 Reply to this comment

[Show Quoted Text - 11 lines]
Fedora 19 came out with php 5.5.0 and after setting it all up we ended 
up with the one search only problem. Currently Fedora 19 is at 5.5.4 
and we no longer have the one search issue.

2013-10-21 05:07:31 Michael Slusarz Comment #17 Reply to this comment
I have been watching this thread as well. I am running a websever 
using Fedora 19 and initially I had this same problem, only the 
first search would work and you would have to log out and log back 
in again to do another one. The updates to Fedora have now taken PHP 
to 5.5.4 and I can confirm that our email searches work correctly.
Were you running some earlier version of PHP 5.5?

FWIW, I can't currently test 5.5.4 on my current machine because it 
doesn't compile correctly.  And if that's not the definition of "not 
stable", I'm not sure what is.
2013-10-21 05:03:53 Michael Slusarz Comment #16 Reply to this comment
Well looking at your previous comment PHP 5.5.4 should be considered 
stable by now. Should I consider the next PHP version stable as of 
version 5.6.9.9.9-fixed aswell as Horde as of 
5.6.9-9-9-stable-as-the-website-stated-it-for-two-weeks?
I have no idea what this means.  What is 5.6.9.9.9?  Not sure what 
point you are trying to make.
2013-10-19 03:25:27 panni (at) fragstore (dot) net Comment #15 Reply to this comment

[Show Quoted Text - 13 lines]
Well looking at your previous comment PHP 5.5.4 should be considered 
stable by now. Should I consider the next PHP version stable as of 
version 5.6.9.9.9-fixed aswell as Horde as of 
5.6.9-9-9-stable-as-the-website-stated-it-for-two-weeks?
2013-10-19 02:14:47 harvey (dot) braun (at) allianceqld (dot) com (dot) au Comment #14 Reply to this comment
I have been watching this thread as well. I am running a websever 
using Fedora 19 and initially I had this same problem, only the first 
search would work and you would have to log out and log back in again 
to do another one. The updates to Fedora have now taken PHP to 5.5.4 
and I can confirm that our email searches work correctly.

Cheers
Harvey
2013-10-19 01:30:43 Michael Slusarz Comment #13 Reply to this comment
Confirmed working with oldstable. PHP 5.5.4 is stable now, though.
If something isn't working with PHP 5.5 that works with 5.4, that is a 
bug in PHP.  There have been no BC changes from 5.4 -> 5.5.  You 
should track down the issue and provide a bug report to bugs.php.net.

And FWIW, PHP 5.5. is "stable" as in: "PHP has marked this branch 
stable on their website".  PHP 5.5 is most certainly NOT stable as in 
"I, as a system administrator, trust PHP 5.5 to run my mission 
critical applications."

If you care about stability, use 5.4.  (5.4 didn't really become 
stable until about 5.4.8 or so, so I would expect the same for 5.5).
2013-10-16 22:42:17 panni (at) fragstore (dot) net Comment #12 Reply to this comment

[Show Quoted Text - 10 lines]
Confirmed working with oldstable. PHP 5.5.4 is stable now, though.

2013-10-16 22:27:14 panni (at) fragstore (dot) net Comment #11 Reply to this comment
I have a fresh git master repo and now only the first search works.
The second or third doesn't give any result and in the syslog I get:
- HORDE: [imp] IMAP error reported by server. Mailbox doesn't exist: 
impsearch"
- HORDE: [imp] Could not open mailbox "impsearch" ... on line 571 
... imp/lib/Imap.php

I use dovecot 2.1.7.
I'm experiencing exactly the same. Horde Webmail Edition 5.1.2, cyrus 
IMAP as E-Mail backend.
2013-09-16 14:31:31 paolo (dot) cerrito (at) uniroma2 (dot) it Comment #10 Reply to this comment
Backwards? php 5.5.0rc3 is the newes development version of php.
...except PHP 5.5.0 hasn't even been released yet.  RC's don't count 
as "stable".  And 5.5.0 itself shouldn't be considered "stable" 
either (the first few releases of 5.4 didn't work with anything 
either).
Second search is not working also with php  5.4.4 from debian jessie. 
Please consider to investigate on this bug, horde from debian depends 
on php 5.4
2013-06-20 16:26:40 Michael Slusarz Comment #9 Reply to this comment
Backwards? php 5.5.0rc3 is the newes development version of php.
...except PHP 5.5.0 hasn't even been released yet.  RC's don't count 
as "stable".  And 5.5.0 itself shouldn't be considered "stable" either 
(the first few releases of 5.4 didn't work with anything either).
2013-06-20 07:56:06 l (dot) kiraly (at) madalbal (dot) hu Comment #8 Reply to this comment
I can confirm that this is a php 5.5 <> 5.4 issue.
I downgraded php to 5.4.4-14+deb7u2 and now the search works perfectly.
2013-06-20 07:19:41 l (dot) kiraly (at) madalbal (dot) hu Comment #7 Reply to this comment
Can't reproduce.

And if this doesn't work in PHP 5.5, there is a bug in PHP 5.5.  We 
aren't currently using anything (at least in IMP) that is backwards 
incompatible with 5.5.
Backwards? php 5.5.0rc3 is the newes development version of php.
If you not face the incompatibility things of 5.4 and 5.5 now, you 
will in the future.
Yes 5.5 isn't stable now, but I think those incompatibilities (php 5.5 
<> horde) will remain if php will stable too.
2013-06-20 05:47:18 Michael Slusarz Comment #6
State ⇒ Not A Bug
Reply to this comment
Can't reproduce.

And if this doesn't work in PHP 5.5, there is a bug in PHP 5.5.  We 
aren't currently using anything (at least in IMP) that is backwards 
incompatible with 5.5.
2013-06-20 05:41:43 l (dot) kiraly (at) madalbal (dot) hu Comment #5 Reply to this comment
Just type something in the search box and execute. Then type another 
search citeria and search again.
At the second time for me, the search gives nothing and doesn't change 
the citeria in the yellow information box. If I reload the inbox it 
works again but only for once. I don't think you have this problem in 
your installation. I think it causes the difference of the environment 
(php 5.5.0).
2013-06-19 19:16:25 Michael Slusarz Comment #4 Reply to this comment
No - I was asking how from a UI perspective you can reproduce.   
Meaning give me the list of clicks it takes to cause this to happen.
2013-06-19 09:53:56 l (dot) kiraly (at) madalbal (dot) hu Comment #3
New Attachment: config.tar.bz2 Download
Reply to this comment


Here is a debug log snippet when the search fails:

---
Jun 19 11:44:29 test HORDE: Load config file (conf.php; app: horde) 
[pid 16870 on line 401 of 
"/root/horde-git/framework/Core/lib/Horde.php"]
Jun 19 11:44:29 test HORDE: Connected to the following memcache 
servers:localhost:11211 [pid 16870 on line 125 of 
"/root/horde-git/framework/Memcache/lib/Horde/Memcache.php"]
Jun 19 11:44:29 test HORDE: Read session data (id = 
bb4jft65k1domd0hdo2mlfabk5) [pid 16870]
Jun 19 11:44:29 test HORDE: Horde_Registry: retrieved app with cache 
ID horde_registry|app|1369385914|102fa7b4647511685ecf6cf86dafefa9 [pid 
16870 on line 1986 of 
"/root/horde-git/framework/Core/lib/Horde/Registry.php"]
Jun 19 11:44:29 test HORDE: [imp] Load config file (conf.php; app: 
imp) [pid 16870 on line 401 of 
"/root/horde-git/framework/Core/lib/Horde.php"]
Jun 19 11:44:29 test dovecot: imap-login: Login: user=<l.kiraly>, 
method=PLAIN, rip=127.0.0.1, lip=127.0.0.1, mpid=16924, secured, 
session=<XeoQrX7fAgB/AAAB>
Jun 19 11:44:29 test HORDE: [imp] IMAP error reported by server. 
Mailbox doesn't exist: impsearch [pid 16870 on line 571 of 
"/root/horde-git/imp/lib/Imap.php"]
Jun 19 11:44:29 test HORDE:  1. 
Horde_Core_Ajax_Application->doAction() 
/root/horde-git/horde/services/ajax.php:58  2. call_user_func() 
/root/horde-git/framework/Core/lib/Horde/Core/Ajax/Application.php:162 
  3. IMP_Ajax_Application_Handler_Common->viewPort()  4. 
IMP_Ajax_Application->viewPortData() 
/root/horde-git/imp/lib/Ajax/Application/Handler/Common.php:99  5. 
IMP_Ajax_Application_ListMessages->listMessages() 
/root/horde-git/imp/lib/Ajax/Application.php:246  6. count() 
/root/horde-git/imp/lib/Ajax/Application/ListMessages.php:262  7. 
IMP_Mailbox_List->count()  8. IMP_Mailbox_List->_buildMailbox() 
/root/horde-git/imp/lib/Mailbox/List.php:889  9. IMP_Mailbox->__get() 
/root/horde-git/imp/lib/Mailbox/List.php:363 10. 
IMP_Mailbox->_getCacheID() /root/horde-git/imp/lib/Mailbox.php:396 11. 
IMP_Imap->getCacheId() /root/horde-git/imp/lib/Mailbox.php:1562 12. 
IMP_Imap->getSyncToken() /root/horde-git/imp/lib/Imap.php:462 13. 
IMP_Imap->__call() /root/horde-git/imp/lib/Imap.php:462 14. 
Horde_Core_Ajax_Application->do
Jun 19 11:44:29 test HORDE: [imp] Could not open mailbox "impsearch". 
[pid 16870 on line 571 of "/root/horde-git/imp/lib/Imap.php"]
Jun 19 11:44:29 test HORDE:  1. 
Horde_Core_Ajax_Application->doAction() 
/root/horde-git/horde/services/ajax.php:58  2. call_user_func() 
/root/horde-git/framework/Core/lib/Horde/Core/Ajax/Application.php:162 
  3. IMP_Ajax_Application_Handler_Common->viewPort()  4. 
IMP_Ajax_Application->viewPortData() 
/root/horde-git/imp/lib/Ajax/Application/Handler/Common.php:99  5. 
IMP_Ajax_Application_ListMessages->listMessages() 
/root/horde-git/imp/lib/Ajax/Application.php:246  6. count() 
/root/horde-git/imp/lib/Ajax/Application/ListMessages.php:262  7. 
IMP_Mailbox_List->count()  8. IMP_Mailbox_List->_buildMailbox() 
/root/horde-git/imp/lib/Mailbox/List.php:889  9. IMP_Imap->search() 
/root/horde-git/imp/lib/Mailbox/List.php:409 10. IMP_Imap->__call() 
/root/horde-git/imp/lib/Mailbox/List.php:409 11. 
Horde_Core_Ajax_Application->doAction() 
/root/horde-git/horde/services/ajax.php:58 12. call_user_func() 
/root/horde-git/framework/Core/lib/Horde/Core/Ajax/Application.php:162 
13. IMP_Ajax_Application_Handler_Common->viewPort() 14.
Jun 19 11:44:29 test HORDE: [imp] Could not open mailbox "impsearch". 
[pid 16870 on line 27 of 
"/root/horde-git/framework/Core/lib/Horde/Core/Notification/Handler/Decorator/Hordelog.php"]
Jun 19 11:44:29 test HORDE: [imp] SQL  (0,0006s)   ^ISELECT alarm_id, 
alarm_uid, alarm_start, alarm_end, alarm_methods, ^I  alarm_params, 
alarm_title, alarm_text, alarm_snooze, alarm_internal ^I  FROM 
horde_alarms WHERE alarm_dismissed = 0 AND ((alarm_snooze IS NULL ^I   
AND alarm_start <= '2013-06-19T09:44:29') OR alarm_snooze <= ^I   
'2013-06-19T09:44:29') AND (alarm_end IS NULL OR alarm_end >= ^I   
'2013-06-19T09:44:29') AND (alarm_uid IS NULL OR alarm_uid = '' OR ^I   
alarm_uid = 'l.kiraly') ORDER BY alarm_start, alarm_end [pid 16870 on 
line 319 of 
"/root/horde-git/framework/Db/lib/Horde/Db/Adapter/Mysqli.php"]
Jun 19 11:44:29 test dovecot: imap(l.kiraly): Disconnected: Logged out 
in=137 out=505
Jun 19 11:44:29 test HORDE: [imp] Max memory usage: 2097152 bytes [pid 
16870 on line 559 of 
"/root/horde-git/framework/Core/lib/Horde/Registry.php"]
---


I also attached my imp and horde config files please try with this.

Maybe php version is problem too. Can you try to test with php 5.5.x ?

php --version
PHP 5.5.0RC3 (cli) (built: Jun 11 2013 10:43:18)
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.5.0-dev, Copyright (c) 1998-2013 Zend Technologies
     with Zend OPcache v7.0.2-dev, Copyright (c) 1999-2013, by Zend 
Technologies


2013-06-14 17:00:16 Michael Slusarz Comment #2
Priority ⇒ 1. Low
Reply to this comment
Can't reproduce.  Used both quicksearch and advanced search (and a 
combo of both) in dynamic view.

You need to provide a detailed description of how you can reproduce.
2013-06-14 11:40:40 l (dot) kiraly (at) madalbal (dot) hu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ second IMP search doesn't work
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
I have a fresh git master repo and now only the first search works.
The second or third doesn't give any result and in the syslog I get:
- HORDE: [imp] IMAP error reported by server. Mailbox doesn't exist: 
impsearch"
- HORDE: [imp] Could not open mailbox "impsearch" ... on line 571 ... 
imp/lib/Imap.php

I use dovecot 2.1.7.

Saved Queries